# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get a list of your client You can view and filter your clients by calling `GET /clients`. In a response, you can see: - id: The client ID. - partyId: The ID of the party assigned as client, controller, beneficial owner, director or primary contact. - products: The products used by this client. For Embedded Payments clients, this is always "EMBEDDED PAYMENTS". - outstanding: Any outstanding onboarding requirements. - status: The live status of the client. These values represent the stages of the client's onboarding journey. Can be one of: - NEW: Onboarding verifications haven't started yet since there isn't enough information available yet. - REVIEW_IN_PROGRESS: Onboarding verifications have started and are in progress. During review, you need to collect additional documents or information which is shown in the outstanding object in the GET od/v1/clients/{ID} request. - INFORMATION_REQUESTED : Your client or it's related parties must provide additional information or documents to proceed with verification. Once requested information is provided, status becomes REVIEW_IN_PROGRESS. - APPROVED: Your client and all associated parties have been through due diligence and onboarding successfully and successfully onboarded. - DECLINED: Your client cannot be onboarded based on their response to our due diligence processes. - SUSPENDED: - During onboarding, your client hasn't provided requested information or documents within the defined period. - After onboarding, you placed a request to temporarily make the client's account inactive. - TERMINATED: You have placed a request to permanently terminate your client's Embedded Payments accounts. Sample request: ```curl curl -X 'GET' \ 'https://apigateway.jpmorgan.com/tsapi/ef/v1/ef/do/v1/clients?limit=25&page=0' \ -H 'accept: application/json' ``` Sample response: ```json { "metadata": { "page": 0, "limit": 25, "total_items": 8 }, "items": [ { "id": "3ad88d43983f4312b1e67615e5aed6dd", "clientId": "0005199987", "label": "FUNDING", "state": "OPEN", "category": "DDA", "paymentRoutingInformation": { "accountNumber": "10000000123", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-04-14T08:57:21.529997Z", "updatedAt": "2025-04-14T08:57:21.434213Z" }, { "id": "1753d04e42514cd8af07032585643ad9", "clientId": "0005199987", "label": "PRIMARY_PROCESSING", "state": "OPEN", "category": "PROCESSING", "paymentRoutingInformation": { "accountNumber": "10000000001035", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-04-14T08:57:21.434213Z", "updatedAt": "2025-04-14T08:57:21.434213Z" }, { "id": "b4bc60637efe4ea28fb68727a321dbea", "clientId": "0005199987", "label": "PROCESSING_OFFSET", "state": "OPEN", "category": "PROCESSING_OFFSET", "paymentRoutingInformation": { "accountNumber": "10000000001035", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-04-14T08:57:21.495392Z", "updatedAt": "2025-04-14T08:57:21.434213Z" }, { "id": "5af7ff19b6024604a4b801c805aaaa12", "clientId": "0005199987", "label": "TAXES", "state": "OPEN", "category": "MANAGEMENT", "paymentRoutingInformation": { "accountNumber": "10000000001035", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-04-14T08:57:21.592681Z", "updatedAt": "2025-04-14T08:57:21.434213Z" }, { "id": "e627a5350fa3412ba121c4a26fc1b2ff", "clientId": "0005199987", "label": "CLIENT_OFFSET", "state": "OPEN", "category": "CLIENT_OFFSET", "paymentRoutingInformation": { "accountNumber": "10000000001032", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-04-14T08:57:21.644832Z", "updatedAt": "2025-04-14T08:57:21.434213Z" }, { "id": "94ad2e29486d4fe8b78f2c778370f5fe", "clientId": "0085199987", "label": "MAIN3919", "state": "OPEN", "category": "LIMITED_DDA", "paymentRoutingInformation": { "accountNumber": "20000057603919", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-04-14T08:57:21.792272Z", "updatedAt": "2025-04-14T08:57:21.434213Z" }, { "id": "aemano765e14741c5a44acc570af517ab", "clientId": "1000013296", "label": "MAIN3229", "state": "OPEN", "category": "LIMITED_DDA", "paymentRoutingInformation": { "accountNumber": "20000057603229", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-04-14T08:57:21.862978Z", "updatedAt": "2025-04-14T08:57:21.434213Z" }, { "id": "akrsm765e14741c5a48acc570af517da", "clientId": "1000012400", "label": "MAIN3212", "state": "OPEN", "category": "LIMITED_DDA_PAYMENTS", "paymentRoutingInformation": { "accountNumber": "20000097603212", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-04-14T08:57:21.913631Z", "updatedAt": "2025-04-14T08:57:21.434213Z" } ] } ```